<?php
class stat_mod extends admin_mod {
    function listAct(){
        $this->assign('atitle' , '数据统计');
        $this->assign('cstat' , $GLOBALS['_CACHE']->stat());
        $dbstat = array();
        $tmp = explode('  ' , db_extra::getobj($this->conf['db'])->stat());
        foreach ($tmp as &$v){
            $dbstat[] = explode(': ' , $v);
        }
        $this->assign('dbstat' , $dbstat);
        $this->assign('iname' , array('运行时间' , '线程数量' , '总查询数' , '慢查询数' , '已开表数' , 'Flush表数' , '当前打开表数' , '平均每秒查询次数'));
        $this->display('misc/stat.html');
    }
}
?>